#include "ChainTSelector.h"

ClassImp(ChainTSelector);

void ChainTSelector::SlaveBegin(TTree * /*tree*/)
{
	fSelector = new Selector();
	fSelector->SetOutput(fOutput);
	fSelector->Initialise();
}

Bool_t ChainTSelector::Process(Long64_t)
{
	fSelector->Loop();
}

void ChainTSelector::Terminate()
{
	fSelector = new Selector();
	fSelector->SetOutput(fOutput);
	fSelector->Summary();
}


