
#ifndef Selector_h
#define Selector_h

#include "TList.h"
#include "TH1F.h"
#include "TRandom3.h"
#include "TObject.h"

class Selector : public TObject {
	public:
		Selector();
		virtual ~Selector();
		void Initialise();
		void Loop();
		void Summary();

		void SetOutput(TList* output) { this->fOutput = output; }

		// Define members here
		TH1F   *fH1F;             //! Output histogram
		TRandom *fRandom;  //! Random number generator

	protected:
		TList* fOutput;

	ClassDef(Selector, 1);
};
#endif


